andreglud andreglud - 2 months ago 12
Ruby Question

Cannot update Calabash-sandbox Ruby "no implicit conversion of nil into String"

I'm fairly new to Calabash, and I've followed the tutorial on Xamarins website. Problem is, when running

PS C:\> (New-Object System.Net.WebClient).DownloadString("") | iex

it installs Ruby v. 2.1.6p336 which should be incompatible with calabash. Therefor I tried to update Ruby in PS with admin but it gives me this result:

[calabash] C:\>gem update --system 2.3.0
Updating rubygems-update
Fetching: rubygems-update-2.3.0.gem (100%)
ERROR: While executing gem ... (TypeError)
no implicit conversion of nil into String

It also occurs outside of Calabash-sandbox.


I think I found an error while looking into your question for an edit.

There is a bug report here - about errors when updating from some versions. It has a workaround of specifying the version to update to. So please could you try

gem update --system=2.6.6